//
// ==========================================
// QuakeCon mapobject model submission shader
// ==========================================
//
// These shaders are used by all of my QuakeCon entries, not just this model.
//
// 1st August
// Daniel Vogt


//
// Punishment model
//
models/mapobjects/vogt/punishment/punishment
{
	qer_editorimage models/mapobjects/vogt/punishment/punishment.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.tga
		rgbGen identity
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_fx.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_mask.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment.tga
		blendfunc blend
		rgbGen Vertex
	}
}

models/mapobjects/vogt/punishment/lava
{
	qer_editorimage models/mapobjects/vogt/punishment/lavahell_dark.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
}

//
// Cling Ons model(s)
//
models/mapobjects/vogt/cling_ons/skeleton
{
	qer_editorimage models/mapobjects/vogt/cling_ons/skeleton.tga
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/vogt/cling_ons/skeleton.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/vogt/cling_ons/rock
{
	qer_editorimage models/mapobjects/vogt/cling_ons/rock.tga
	surfaceparm alphashadow
	{
		map models/mapobjects/vogt/cling_ons/rock.tga
		rgbGen Vertex
	}
}

models/mapobjects/vogt/cling_ons/rock_top
{
	qer_editorimage models/mapobjects/vogt/cling_ons/rock_top.tga
	surfaceparm alphashadow
	{
		map models/mapobjects/vogt/cling_ons/rock_top.tga
		rgbGen Vertex
	}
	{
		map models/mapobjects/vogt/cling_ons/rock_glow.tga
		blendfunc add
		rgbGen wave sin 0.6 0.4 0 0.3 
	}
}

models/mapobjects/vogt/cling_ons/rock_top_dark
{
	qer_editorimage models/mapobjects/vogt/cling_ons/rock_top.tga
	surfaceparm alphashadow
	{
		map models/mapobjects/vogt/cling_ons/rock_top.tga
		rgbGen Vertex
	}
}

models/mapobjects/vogt/cling_ons/glow
{
	qer_editorimage models/mapobjects/vogt/cling_ons/glow.tga
	cull disable
	{
		map models/mapobjects/vogt/cling_ons/glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.3 0 0.3 
	}
}

models/mapobjects/vogt/cling_ons/aura
{
	qer_editorimage models/mapobjects/vogt/cling_ons/aura_overlay.tga
	surfaceparm trans
	cull disable
	deformVertexes wave 128 sin 0 1 0 0.3 
	{
		map models/mapobjects/vogt/cling_ons/aura.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		rgbGen wave sin 0.6 0.4 0.1 0.3 
		tcMod transform 1 1 0 1 0 0
		tcMod scale 1 1
		tcMod scroll 0.5 -0.25
	}
	{
		map models/mapobjects/vogt/cling_ons/aura.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		rgbGen wave sin 0.5 0.3 0.5 0.3 
		tcMod transform 1 1 0 1 0 0
		tcMod scale 1 1
		tcMod scroll 0.9 -0.15
	}
	{
		map models/mapobjects/vogt/cling_ons/aura_overlay2.tga
		blendfunc add
		rgbGen wave sin 0.3 0.1 0 0.3 
		tcMod scroll 0.3 0
		tcMod transform 1 0 1 1 0 0
	}
	{
		map models/mapobjects/vogt/cling_ons/aura_overlay.tga
		blendfunc add
		rgbGen wave sin 0.25 0.15 0.3 0.3 
		tcMod scale -2 1
		tcMod scroll 0.3 0
		tcMod transform 1 0 1 1 0 0
	}
}

//
// Evil Egg model
//
models/mapobjects/vogt/evil_egg/slime
{
	qer_editorimage models/mapobjects/vogt/evil_egg/egg.tga
	cull disable
	{
		map models/mapobjects/vogt/evil_egg/egg.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/vogt/evil_egg/egg_glow.tga
		blendfunc add
		rgbGen wave sin 0.4 0.6 0 0.3 
	}
}

models/mapobjects/vogt/evil_egg/egg
{
	qer_editorimage models/mapobjects/vogt/evil_egg/egg.tga
	{
		map models/mapobjects/vogt/evil_egg/egg_specular_fx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/evil_egg/egg_specular.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/evil_egg/egg.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/vogt/evil_egg/egg_glow.tga
		blendfunc add
		rgbGen wave sin 0.4 0.6 0 0.3 
	}
}

//
// Arc Nemesis model
//
models/mapobjects/vogt/arc_nemesis/shiny
{
	qer_editorimage models/mapobjects/vogt/arc_nemesis/map1.tga
	{
		map models/mapobjects/vogt/arc_nemesis/shiny_fx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/arc_nemesis/map1_mask.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/arc_nemesis/map1.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/vogt/arc_nemesis/zap_large.tga
		blendfunc add
		rgbGen wave noise -90 100 0 7.5 
		tcMod stretch sin 0.8 0.2 0 0.4 
		tcMod rotate 50
		tcMod scale 3 3
		tcMod scroll 0.2 0.2
	}
}

models/mapobjects/vogt/arc_nemesis/shiny_2sided
{
	qer_editorimage models/mapobjects/vogt/arc_nemesis/map1.tga
	cull disable
	{
		map models/mapobjects/vogt/arc_nemesis/shiny_fx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/arc_nemesis/map1_mask.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/arc_nemesis/map1.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/vogt/arc_nemesis/zap_large.tga
		blendfunc add
		rgbGen wave noise -90 100 0 6.5 
		tcMod stretch sin 0.8 0.2 0 0.4 
		tcMod rotate 50
		tcMod scale 3 3
		tcMod scroll 0.2 0.2
	}
}

models/mapobjects/vogt/arc_nemesis/alpha
{
	qer_editorimage models/mapobjects/vogt/arc_nemesis/map2.tga
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/vogt/arc_nemesis/map2.tga
		blendfunc blend
		rgbGen Vertex
	}
	{
		map models/mapobjects/vogt/arc_nemesis/zap_large.tga
		blendfunc add
		rgbGen wave noise -90 100 0 6 
		tcMod stretch sin 0.8 0.2 0 0.4 
		tcMod rotate 50
		tcMod scale 1.5 1.5
		tcMod scroll 0.2 0.2
	}
}

models/mapobjects/vogt/arc_nemesis/alpha_ge128
{
	qer_editorimage models/mapobjects/vogt/arc_nemesis/map2.tga
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/vogt/arc_nemesis/map2.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/vogt/arc_nemesis/zap_large.tga
		blendfunc add
		rgbGen wave noise -90 100 0 7 
		tcMod stretch sin 0.8 0.2 0 0.4 
		tcMod rotate 50
		tcMod scale 2 2
		tcMod scroll 0.2 0.2
	}
}

models/mapobjects/vogt/arc_nemesis/electricity
{
	qer_editorimage models/mapobjects/vogt/arc_nemesis/zap_large.tga
	cull disable
	deformVertexes wave 128 sin 0 0.2 0 5 
	deformVertexes bulge 0 0.4 3
	{
		map models/mapobjects/vogt/arc_nemesis/zap_large.tga
		blendfunc add
		rgbGen wave noise -60 100 0 8 
		tcMod scale 0.5 0.5
		tcMod turb 0.5 0.5 0 1
		tcMod turb 0.5 0.2 0.5 1
		tcMod scroll 0 0.5
	}
	{
		map models/mapobjects/vogt/arc_nemesis/zap.tga
		blendfunc add
		rgbGen wave sin 0.8 0.4 0 0.5 
		tcMod scroll 1.5 0
		tcMod scale 1 -1
	}
	{
		map models/mapobjects/vogt/arc_nemesis/zap.tga
		blendfunc add
		rgbGen wave sin 0.8 0.4 0.5 0.5 
		tcMod scroll -1 0
	}
}

models/mapobjects/vogt/arc_nemesis/eyes
{
	qer_editorimage models/mapobjects/vogt/arc_nemesis/eyes.tga
	{
		map models/mapobjects/vogt/arc_nemesis/eyes.tga
		blendfunc add
		rgbGen wave noise 90 -100 0 3 
	}
}

